Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveFirst Method (LockingInfo)
Cursor Class See Also Send Feedback

Set the cursor to refer to the first key/data pair of the database, and store that pair in Current. If the first key has duplicate values, the first data item in the set of duplicates is stored in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool MoveFirst(
    	LockingInfo info
    )

Visual Basic (Declaration)
    Public Function MoveFirst ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++
    public:
    bool MoveFirst(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current contains an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MoveFirst Overload
BerkeleyDB Namespace